StarFrameAttribute Namespace Reference documentation

Classes | Functions
StarFrameAttribute Namespace Reference

namespace used to contain frame attributes More...

## Classes
class | StarFAttributeBool
| a character bool attribute More...
class | StarFAttributeBorder
| a border attribute More...
class | StarFAttributeBrush
| a brush attribute More...
class | StarFAttributeColor
| a character color attribute More...
class | StarFAttributeFrameSize
| a frameSize attribute More...
class | StarFAttributeInt
| a character integer attribute More...
class | StarFAttributeLineNumbering
| a line numbering attribute More...
class | StarFAttributeLRSpace
| a left, right, ... attribute More...
class | StarFAttributeOrientation
| a orientation attribute More...
class | StarFAttributeShadow
| a shadow attribute More...
class | StarFAttributeUInt
| a character unsigned integer attribute More...
class | StarFAttributeULSpace
| a top, bottom, ... attribute More...
class | StarFAttributeVoid
| a void attribute More...

## Functions
void | addAttributeBool (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, bool defValue)
| add a bool attribute More...
void | addAttributeColor (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, STOFFColor const &defValue)
| add a color attribute More...
void | addAttributeInt (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, int numBytes, int defValue)
| add a int attribute More...
void | addAttributeUInt (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName, int numBytes, unsigned int defValue)
| add a unsigned int attribute More...
void | addAttributeVoid (std::map< int, std::shared_ptr< StarAttribute > > &map, StarAttribute::Type type, std::string const &debugName)
| add a void attribute More...
void | addInitTo (std::map< int, std::shared_ptr< StarAttribute > > &whichToAttributeMap)
| adds frame attribute to the general it to attribute map More...

## Detailed Description

namespace used to contain frame attributes

## Function Documentation

## ◆ addAttributeBool()

void StarFrameAttribute::addAttributeBool | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | bool | defValue
| ) |  |
| inline

add a bool attribute

Referenced by addInitTo().

## ◆ addAttributeColor()

void StarFrameAttribute::addAttributeColor | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | STOFFColor const & | defValue
| ) |  |
| inline

add a color attribute

## ◆ addAttributeInt()

void StarFrameAttribute::addAttributeInt | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | int | defValue
| ) |  |
| inline

add a int attribute

## ◆ addAttributeUInt()

void StarFrameAttribute::addAttributeUInt | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName,
|  | int | numBytes,
|  | unsigned int | defValue
| ) |  |
| inline

add a unsigned int attribute

Referenced by addInitTo().

## ◆ addAttributeVoid()

void StarFrameAttribute::addAttributeVoid | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map,
|  | StarAttribute::Type | type,
|  | std::string const & | debugName
| ) |  |
| inline

add a void attribute

## ◆ addInitTo()

void StarFrameAttribute::addInitTo | ( | std::map< int, std::shared_ptr< StarAttribute > > & | map | ) |

adds frame attribute to the general it to attribute map

Referenced by StarAttributeInternal::State::initAttributeMap().